﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IPMulticastLib
{
	/// <summary>
	/// MessageReceivedEventArgs contains the Message and Timestamp of the multicast message.
	/// </summary>
	public class MessageReceivedEventArgs
	{
		/// <summary>
		/// The message that was received
		/// </summary>
		public string Message { get; set; }

		/// <summary>
		/// The timestamp of when the message was received. Set when MessageReceivedEventArgs is created.
		/// </summary>
		public DateTime Timestamp { get; set; }

		/// <summary>
		/// MessageReceivedEventArgs constructor that sets the Message and Timestamp properties.
		/// </summary>
		/// <param name="message"></param>
		public MessageReceivedEventArgs(string message)
		{
			this.Message = message;
			this.Timestamp = DateTime.Now;
		}
	}
}
