﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Threading;
using System.Linq;
using System.Text;
using System.Net;
using System.Net.Sockets;

namespace IPMulticastLib
{
	/// <summary>
	/// IAsyncResult.AsyncState Object that that contains UDPClient and IPEndPoint information needed in the asynchronous ReceiveCallback operation.
	/// </summary>
	public class StateObject: Object
	{
		/// <summary>
		/// Reference to the IPEndPoint that is configured for this multicast group.
		/// </summary>
		public IPEndPoint ipEndPoint = null;

		/// <summary>
		/// Reference to the UDPClient that is configured for this multicast group.
		/// </summary>
		public UdpClient udpClient = null;
	}
}
